cURL
curl --location --request DELETE 'https://api.inworld.ai/router/v1/routers/<router_id>' \
--header "Authorization: Basic $INWORLD_API_KEY"import os
import requests
router_id = "<router_id>"
url = f"https://api.inworld.ai/router/v1/routers/{router_id}"
headers = {
"Authorization": f"Basic {os.getenv('INWORLD_API_KEY')}"
}
response = requests.delete(url, headers=headers)
print(response.json())const routerId = '<router_id>';
const url = `https://api.inworld.ai/router/v1/routers/${routerId}`;
const response = await fetch(url, {
method: 'DELETE',
headers: {
'Authorization': `Basic ${process.env.INWORLD_API_KEY}`,
},
});
const data = await response.json();
console.log(data);{}"Unauthorized"Router
Delete router
Delete a router by router ID.
DELETE
/
router
/
v1
/
routers
/
{router_id}
cURL
curl --location --request DELETE 'https://api.inworld.ai/router/v1/routers/<router_id>' \
--header "Authorization: Basic $INWORLD_API_KEY"import os
import requests
router_id = "<router_id>"
url = f"https://api.inworld.ai/router/v1/routers/{router_id}"
headers = {
"Authorization": f"Basic {os.getenv('INWORLD_API_KEY')}"
}
response = requests.delete(url, headers=headers)
print(response.json())const routerId = '<router_id>';
const url = `https://api.inworld.ai/router/v1/routers/${routerId}`;
const response = await fetch(url, {
method: 'DELETE',
headers: {
'Authorization': `Basic ${process.env.INWORLD_API_KEY}`,
},
});
const data = await response.json();
console.log(data);{}"Unauthorized"Authorizations
Your authentication credentials. For Basic authentication, please populate Basic $INWORLD_API_KEY.
Please make sure your API Key has write permissions for the Router API in order to create, update, and delete routers. You can create a key in one command with the Inworld CLI: inworld workspace add-key.
Path Parameters
Router ID.
Response
A successful response.
Empty response.
Was this page helpful?
⌘I